
XMath Types
===========

Each of the main operand types used in this library has a short-hand which is used as a prefix in 
the naming of API operations. The following tables can be used for reference.


Common Vector Types
-------------------

The following table indicates the types and abbreviations associated with various common vector 
types.

|beginfullwidth|

.. csv-table:: Common Vector Types
    :file: csv/common_vector_types.csv
    :widths: 25, 25, 50
    :header-rows: 1
    :class: longtable

|endfullwidth|

Common Scalar Types
-------------------

The following table indicates the types and abbreviations associated with various common scalar
types.

|beginfullwidth|

.. csv-table:: Common Scalar Types
    :file: csv/common_scalar_types.csv
    :widths: 25, 25, 50
    :header-rows: 1
    :class: longtable

|endfullwidth|

|newpage|
 

Block Floating-Point Types
--------------------------

.. doxygengroup:: type_bfp
  :members:


Scalar Types (Integer)
----------------------

.. doxygengroup:: type_scalar_int
    :members:

Scalar Types (Floating-Point)
-----------------------------

.. doxygengroup:: type_scalar_float
    :members:


Scalar Types (Fixed-Point)
--------------------------

.. doxygengroup:: type_scalar_fixed
    :members:


Misc Types
----------

.. doxygengroup:: type_misc
  :members:
  
